<?php 
 /**
  * 
  * @package    Whatsapp chat support
  * @version    1.0
  * @author     ThemeAtelier
  * @Websites: https://themeatelier.net/
  *
  */

add_shortcode( 'ctw' , 'ctw_custom_buttons_shortcode' );
function ctw_custom_buttons_shortcode( $atts ) {
		$atts = shortcode_atts( array(
        'style' => '1',
        'photo' => CTW_DIR_URL . 'assets/image/user.webp',
        'name' => esc_html__('Robert', 'ta-ctw'),
        'designation' => esc_html__('Sales Support', 'ta-ctw'),
        'label' => esc_html__('How can I help you?', 'ta-ctw'),
        'online' => esc_html__('I\'m avaiable', 'ta-ctw'),
        'offline'  => esc_html__('I\'m offline', 'ta-ctw'),
        'number' => esc_html__('+8801813381520', 'ta-ctw'),
        'visibility' => 'wHelp-show-everywhere',
        'sizes' => 'wHelp-btn-md',
        'rounded' => 'wHelp-btn-rounded',
        'sunday' => esc_html__('00:00-23:59', 'ta-ctw'),
        'monday' => esc_html__('00:00-23:59', 'ta-ctw'),
        'tuesday' => esc_html__('00:00-23:59', 'ta-ctw'),
        'wednesday' => esc_html__('00:00-23:59', 'ta-ctw'),
        'thursday' => esc_html__('00:00-23:59', 'ta-ctw'),
        'friday' => esc_html__('00:00-23:59', 'ta-ctw'),
        'saturday' => esc_html__('00:00-23:59', 'ta-ctw'),
		), $atts );

	ob_start();

	ctw_buttons_template_init( $atts );

return ob_get_clean();
}